﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EVCB_OCPP.WEBAPI.Models.WebAPI.Dto
{
    public class GeoLocation
    {
        /// <summary>
        /// Latitude of the point in decimal degree. Example: 50.770774. Decimal
        ///separator: "." Regex: -?[0-9]{1,2}\.[0-9]{5,7}
        /// </summary>
        public decimal Latitude { set; get; }

        /// <summary>
        /// Longitude of the point in decimal degree. Example: -126.104965. Decimal
        ///separator: "." Regex: -?[0-9]{1,3}\.[0-9]{5,7}
        /// </summary>
        public decimal Longitude { set; get; }
    }
}