﻿using EVCB_OCPP.Packet.Messages.SubTypes;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace EVCB_OCPP.WEBAPI.Models.WebAPI
{
   


    public class ChargingProfileRequest
    {
        [Required]
        public int connectorId { set; get; }

        [Required]
        public AdvancedChargingProfiles ChargingProfile { set; get; }

    }

    public class AdvancedChargingProfiles
    {
        public int? TransactionId { set; get; }

        [Required]
        public int chargingProfileId { get; set; }


        [Required]
        public int stackLevel { get; set; }

        public ChargingProfilePurposeType chargingProfilePurpose { get; set; }

        [Required]
        public ChargingProfileKindType chargingProfileKind { get; set; }

        [Required]
        public RecurrencyKindType? recurrencyKind { get; set; }

        public DateTime? validFrom { get; set; }

        public DateTime? validTo { get; set; }

        [Required]
        public ChargingScheduleBase chargingSchedule { get; set; }


    }

  
}